// MemberInfo_ValidationDynamicEnum.h : header file
//
#if !defined(_MEMBERINFODLG_VALIDATIONDYNAMICENUM_H_)
#define _MEMBERINFODLG_VALIDATIONDYNAMICENUM_H_

#include "PropertyEditorDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CMemberInfo_ValidationDynamicEnum dialog
class CXmlMemberInfo;

class CMemberInfoDlg_ValidationDynamicEnum : public CPropertyEditorDlg
{
// Construction
public:
	CMemberInfoDlg_ValidationDynamicEnum(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMemberInfoDlg_ValidationDynamicEnum)
	enum { IDD = IDD_MEMBERINFO_VALIDATION_DYNAMICENUM };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

public:
	virtual void SetData(CXmlBaseElement* element);
	virtual void StoreData();
	virtual void OnDataUpdate();

	void OnOK(){};
	void OnCancel(){};

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMemberInfoDlg_ValidationDynamicEnum)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMemberInfoDlg_ValidationDynamicEnum)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	CXmlMemberInfo* memberInfo_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_MEMBERINFODLG_VALIDATIONDYNAMICENUM_H_)
